---
title: "Process migros storeprocess upload"
url: "https://developer.migros.ch/apis/odin-1/versions/85d1c695-d7c8-4825-98d5-c795728e2a00/operations/process-migros-storeprocess"
---

> Full API specification: https://developer.migros.ch/apis/odin-1/versions/85d1c695-d7c8-4825-98d5-c795728e2a00.md

# Process migros storeprocess upload

`POST` `/migros/products/odin/v1/storeprocess`

Operation ID: `process-migros-storeprocess`

Processes a storeprocess upload sent by SAP PI. It then creates tasks for all affected labels.

## Request body

Content types: `application/json`

## Responses

- `200` - OK

## OpenAPI definition

```yaml
openapi: 3.0.0
info:
  title: Odin
  version: 1.0.0
servers:
  - description: URL of upstream
    url: https://api.migros.ch
paths:
  /migros/products/odin/v1/storeprocess:
    post:
      description: Processes a storeprocess upload sent by SAP PI. It then creates
        tasks for all affected labels.
      operationId: process-migros-storeprocess
      requestBody:
        content:
          application/json:
            schema:
              items:
                $ref: "#/components/schemas/StoreProcesses"
              type: array
      responses:
        "200":
          description: OK
      summary: Process migros storeprocess upload
      tags:
        - ESL-Migros
security:
  - Kong-Api-Key: []
components:
  schemas:
    StoreProcesses:
      description: UploadModel is used to deserialise what we receive from SAP PI.
      properties:
        worklist:
          items:
            description: SPStates contains the states of the different Filialprozesse for a
              certain product in a certain store as sent by the MoFiP / SAP.
            properties:
              FILIALE_ID:
                example: "0063940"
                type: string
              PRODUKT_ID:
                example: "275700501000"
                type: string
              STATUS_AUSLISTUNG:
                example: JA
                type: string
              STATUS_AV:
                example: OFFEN
                type: string
              STATUS_INVENTUR:
                example: RELEVANT
                type: string
              STATUS_LIEFERUNTERBRUCH:
                example: JA
                type: string
              STATUS_MHD:
                example: KEIN_TERMIN
                type: string
            required:
              - FILIALE_ID
              - PRODUKT_ID
              - STATUS_MHD
              - STATUS_AV
              - STATUS_INVENTUR
              - STATUS_AUSLISTUNG
              - STATUS_LIEFERUNTERBRUCH
            type: object
          nullable: true
          type: array
      required:
        - worklist
      type: object
  securitySchemes:
    Kong-Api-Key:
      description: Kong key-auth authentication
      in: header
      name: X-Api-Key
      type: apiKey
```
